package com.huigou.topsun.sap.common;

import java.io.IOException;

/**
 * 客户端，用于调用远程服务。
 */
public interface HttpClient {
    /**
     * param 要传递的数据，包括结构，在请求前会序列化和转json，不用特殊处理
     * url 采用restful风格接口，ip、端口、上下文基本固定，只传名称
     * 比如："http://192.168.3.109:8000/sap/bc/erp_ep/bd_mastdata/material?sap-client=200";
     * @param param
     * @param url
     * @return
     * @throws IOException
     */

    public String execute(Object param,String url) throws IOException;

    public String executeForEp(Object param,String url) throws IOException;
    public String executeHttpGetForEp(Object param,String url) throws IOException;

    public String executeForMes(Object param,String url) throws IOException;

    String executeHttpGetForMes(Object param, String url) throws IOException;
}
